curl -X PATCH "https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"is_active": true,
"events": ["incident.created", "incident.updated", "incident.resolved"]
}'
const response = await fetch('https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000', {
method: 'PATCH',
headers: {
'X-API-Key': 'your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
is_active: true,
events: ['incident.created', 'incident.updated', 'incident.resolved']
})
});
const webhook = await response.json();
{
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Production Webhook",
"url": "https://api.example.com/webhooks/kodo",
"is_active": true,
"events": ["incident.created", "incident.updated", "incident.resolved"],
"headers": {},
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T11:00:00.000Z"
}
}
Webhooks
Update Webhook
Update an existing webhook’s configuration
PATCH
/
webhooks
/
{id}
curl -X PATCH "https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"is_active": true,
"events": ["incident.created", "incident.updated", "incident.resolved"]
}'
const response = await fetch('https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000', {
method: 'PATCH',
headers: {
'X-API-Key': 'your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
is_active: true,
events: ['incident.created', 'incident.updated', 'incident.resolved']
})
});
const webhook = await response.json();
{
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Production Webhook",
"url": "https://api.example.com/webhooks/kodo",
"is_active": true,
"events": ["incident.created", "incident.updated", "incident.resolved"],
"headers": {},
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T11:00:00.000Z"
}
}
Path Parameters
string
required
The unique identifier of the webhook
Request Body
All fields are optional.string
Display name for the webhook
string
Webhook endpoint URL
boolean
Enable or disable the webhook
array
Event types to send to this webhook
Response
Returns the updated webhook object.curl -X PATCH "https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"is_active": true,
"events": ["incident.created", "incident.updated", "incident.resolved"]
}'
const response = await fetch('https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000', {
method: 'PATCH',
headers: {
'X-API-Key': 'your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
is_active: true,
events: ['incident.created', 'incident.updated', 'incident.resolved']
})
});
const webhook = await response.json();
{
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Production Webhook",
"url": "https://api.example.com/webhooks/kodo",
"is_active": true,
"events": ["incident.created", "incident.updated", "incident.resolved"],
"headers": {},
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-02-20T11:00:00.000Z"
}
}
⌘I